diff -crN buildroot-2013.08.1-ckb-20140807-1/board/ckb/ckb-3352/bootloader/main.c buildroot-2013.08.1-ckb-20141129-1/board/ckb/ckb-3352/bootloader/main.c
*** buildroot-2013.08.1-ckb-20140807-1/board/ckb/ckb-3352/bootloader/main.c	2014-06-16 14:45:59.000000000 +0900
--- buildroot-2013.08.1-ckb-20141129-1/board/ckb/ckb-3352/bootloader/main.c	2014-11-28 08:52:04.000000000 +0900
***************
*** 26,31 ****
--- 26,35 ----
  extern unsigned char __bss_start;
  extern unsigned char __bss_end;
  
+ void set_flash_bank(int bank);
+ void hprintf(const char *format, ...);
+ void putstr(char *str);
+ 
  /****************************************************************************
   * entry routine
   ****************************************************************************/
***************
*** 40,67 ****
  }
  
  int g_ckb_cur_flash_bank=-1;
! unsigned long set_ckb_flash_bank(unsigned long addr)
! {
! 	/* The flash bank is a shadow mapping of 128KB changable by the GPIOs GP1[20]~GP1[26] */
  	int ckb_flash_bank = (addr - CONFIG_SYS_FLASH_BASE)/CONFIG_FLASH_CKB_BANK_SIZE;
! 	if(ckb_flash_bank != g_ckb_cur_flash_bank)
! 	{
! 		/* select map using GPIOs */
! 		set_flash_bank(ckb_flash_bank);
! 		g_ckb_cur_flash_bank = ckb_flash_bank;
  	}
  }
  
! void main(void)
  {
  	unsigned long uboot_len;
  	unsigned long *src, *dst;
  	unsigned long src_end;
  	int copied_len = 0;
  	int copy_len;
  
  	/* initialize */
! 	init_DEVICE();
  	
  	DEVICE_UARTInit(115200);
  
--- 44,74 ----
  }
  
  int g_ckb_cur_flash_bank=-1;
! void set_ckb_flash_bank(unsigned long addr)
! {
! 	/* The flash bank is a shadow mapping of 128KB changable by the GPIOs GP1[20]~GP1[26] */
  	int ckb_flash_bank = (addr - CONFIG_SYS_FLASH_BASE)/CONFIG_FLASH_CKB_BANK_SIZE;
! 	if(ckb_flash_bank != g_ckb_cur_flash_bank)
! 	{
! 		/* select map using GPIOs */
! 		set_flash_bank(ckb_flash_bank);
! 		g_ckb_cur_flash_bank = ckb_flash_bank;
  	}
  }
  
! int main(void)
  {
  	unsigned long uboot_len;
  	unsigned long *src, *dst;
  	unsigned long src_end;
  	int copied_len = 0;
  	int copy_len;
+ 	unsigned long idcode;
+ 	int omap_revision;
+ 	unsigned char rev;
  
  	/* initialize */
! 	omap_revision = init_DEVICE();
  	
  	DEVICE_UARTInit(115200);
  
***************
*** 69,74 ****
--- 76,104 ----
  	hprintf("\n\n%s V1.00.00 (%s)-%s\n",
                  TARGET_NAME, __DATE__, __TIME__);
  	
+ 	hprintf("AM335x ES");
+ 	switch(rev)
+ 	{
+ 	case 0:
+ 		omap_revision = AM335X_REV_ES1_0;
+ 		hprintf("1.0");
+ 		break;
+ 	case 1:
+ 		omap_revision = AM335X_REV_ES2_0;
+ 		hprintf("2.0");
+ 		break;
+ 	case 2:
+ 		omap_revision = AM335X_REV_ES2_1;
+ 		hprintf("2.1");
+ 		break;
+ 	default:
+ 		omap_revision = AM335X_REV_UNKNOWN;
+ 		hprintf("-unknown");
+ 		break;
+ 	}
+ 	
+ 	hprintf("\n");
+ 	
  	/* check if U-Boot is present */
  	set_ckb_flash_bank(UBOOT_NOR_BASE_ADDR);
  	if((*((unsigned long*)(UBOOT_NOR_BASE_ADDR+UBOOT_HEADER_OFFSET))) != CONFIG_SYS_TEXT_BASE)
***************
*** 79,90 ****
  	if(uboot_len > MAX_UBOOT_SIZE)
  		goto _not_found;
  	
! 	puts("Loading U-Boot...");
  
  #ifdef _CKB_PRINT_ADDRESS
  	hprintf("0x%x=>0x%x, %d bytes\n", UBOOT_NOR_BASE_ADDR, CONFIG_SYS_TEXT_BASE, uboot_len);
  #else
! 	puts("\n");
  #endif
  
  	dst = CONFIG_SYS_TEXT_BASE;
--- 109,120 ----
  	if(uboot_len > MAX_UBOOT_SIZE)
  		goto _not_found;
  	
! 	putstr("Loading U-Boot...");
  
  #ifdef _CKB_PRINT_ADDRESS
  	hprintf("0x%x=>0x%x, %d bytes\n", UBOOT_NOR_BASE_ADDR, CONFIG_SYS_TEXT_BASE, uboot_len);
  #else
! 	putstr("\n");
  #endif
  
  	dst = CONFIG_SYS_TEXT_BASE;
***************
*** 157,167 ****
  	jump_to_addr(CONFIG_SYS_TEXT_BASE);
  
  _not_found:
! 	puts("U-Boot not found");
  #ifdef _CKB_PRINT_ADDRESS
  	hprintf(" at 0x%x\n", UBOOT_NOR_BASE_ADDR);
  #else
! 	puts("\n");
  #endif
  	while(1);
  }
--- 187,198 ----
  	jump_to_addr(CONFIG_SYS_TEXT_BASE);
  
  _not_found:
! 	putstr("U-Boot not found");
  #ifdef _CKB_PRINT_ADDRESS
  	hprintf(" at 0x%x\n", UBOOT_NOR_BASE_ADDR);
  #else
! 	putstr("\n");
  #endif
  	while(1);
+ 	return 0;
  }
diff -crN buildroot-2013.08.1-ckb-20140807-1/board/ckb/ckb-3352/bootloader/uart.c buildroot-2013.08.1-ckb-20141129-1/board/ckb/ckb-3352/bootloader/uart.c
*** buildroot-2013.08.1-ckb-20140807-1/board/ckb/ckb-3352/bootloader/uart.c	2013-03-27 09:34:59.000000000 +0900
--- buildroot-2013.08.1-ckb-20141129-1/board/ckb/ckb-3352/bootloader/uart.c	2014-11-25 16:19:33.000000000 +0900
***************
*** 22,28 ****
  Uint32 DEVICE_UARTInit(int baudrate)
  {
  	
! 	int baud_divisor =(CONFIG_SYS_NS16550_CLK + (baudrate * (MODE_X_DIV / 2))) /
          (MODE_X_DIV * baudrate);
  	
  	/* set the global UART pointer */
--- 22,28 ----
  Uint32 DEVICE_UARTInit(int baudrate)
  {
  	
! 	int baud_divisor =(CONFIG_SYS_NS16550_CLK + (baudrate * (MODE_X_DIV / 2))) /
          (MODE_X_DIV * baudrate);
  	
  	/* set the global UART pointer */
***************
*** 37,55 ****
  	UART->uartsyscfg |= UART_SMART_IDLE_EN;
  	
  	UART->ier = 0;
! 	UART->mdr1 = 0x7;	/* mode select reset TL16C750*/
! 	UART->lcr = UART_LCR_BKSE | UART_LCRVAL;
! 	UART->dll = 0;
! 	UART->dlm = 0;
! 	UART->lcr = UART_LCRVAL;
! 	UART->mcr = UART_MCRVAL;
! 	UART->fcr = UART_FCRVAL;
! 	UART->lcr = UART_LCR_BKSE | UART_LCRVAL;
! 	UART->dll = baud_divisor & 0xff;
! 	UART->dlm = (baud_divisor >> 8) & 0xff;
! 	UART->lcr = UART_LCRVAL;
! 	/* /16 is proper to hit 115200 with 48MHz */
! 	UART->mdr1 = 0;
   
     return 0;
  }
--- 37,55 ----
  	UART->uartsyscfg |= UART_SMART_IDLE_EN;
  	
  	UART->ier = 0;
! 	UART->mdr1 = 0x7;	/* mode select reset TL16C750*/
! 	UART->lcr = UART_LCR_BKSE | UART_LCRVAL;
! 	UART->dll = 0;
! 	UART->dlm = 0;
! 	UART->lcr = UART_LCRVAL;
! 	UART->mcr = UART_MCRVAL;
! 	UART->fcr = UART_FCRVAL;
! 	UART->lcr = UART_LCR_BKSE | UART_LCRVAL;
! 	UART->dll = baud_divisor & 0xff;
! 	UART->dlm = (baud_divisor >> 8) & 0xff;
! 	UART->lcr = UART_LCRVAL;
! 	/* /16 is proper to hit 115200 with 48MHz */
! 	UART->mdr1 = 0;
   
     return 0;
  }
***************
*** 128,134 ****
  	}
  }
  
! void puts(char *str)
  {
  	while(*str)
  		hputchar(*str++);
--- 128,134 ----
  	}
  }
  
! void putstr(char *str)
  {
  	while(*str)
  		hputchar(*str++);
***************
*** 207,212 ****
  //extern void __aeabi_idiv(void);
  void __div0(void)
  {
! 	puts("Error: Division by zero.\n");
  	while(1);
  }
--- 207,212 ----
  //extern void __aeabi_idiv(void);
  void __div0(void)
  {
! 	putstr("Error: Division by zero.\n");
  	while(1);
  }
diff -crN buildroot-2013.08.1-ckb-20140807-1/board/ckb/ckb-3352/samples/wdt/Makefile buildroot-2013.08.1-ckb-20141129-1/board/ckb/ckb-3352/samples/wdt/Makefile
*** buildroot-2013.08.1-ckb-20140807-1/board/ckb/ckb-3352/samples/wdt/Makefile	1970-01-01 09:00:00.000000000 +0900
--- buildroot-2013.08.1-ckb-20141129-1/board/ckb/ckb-3352/samples/wdt/Makefile	2014-11-25 18:55:22.000000000 +0900
***************
*** 0 ****
--- 1,24 ----
+ # Makefile
+ 
+ BUILDROOT_DIR:=../../../../../
+ OUTPUT_DIR:=output
+ CROSS_COMPILE:=$(BUILDROOT_DIR)/$(OUTPUT_DIR)/host/usr/bin/arm-linux-
+ KERNEL_HEADERS:=$(BUILDROOT_DIR)/output/host/usr/arm-buildroot-linux-uclibcgnueabihf/sysroot/usr
+ #APP_DEBUG:=-ggdb
+ 
+ CC = $(CROSS_COMPILE)gcc $(APP_DEBUG) -I../common -I$(KERNEL_HEADERS) -O0
+ APP= saWatchdog
+ 
+ SRCS= saWatchdog.c
+ 
+ all: $(SRCS)
+ ifndef KERNEL_HEADERS
+ 	@echo "Error: The environment variable \"KERNEL_HEADERS\" is invalid."
+ 	@echo "\"KERNEL_HEADERS\" should point to the Kernel headers directory. Try \"make KERNEL_HEADERS=<kernel header directory>\""
+ else
+ 	$(CC) -o $(APP) $(SRCS) $(LIB)
+ endif
+ 
+ clean:
+ 	rm -f *.o $(APP)
+ 
diff -crN buildroot-2013.08.1-ckb-20140807-1/board/ckb/ckb-3352/samples/wdt/saWatchdog.c buildroot-2013.08.1-ckb-20141129-1/board/ckb/ckb-3352/samples/wdt/saWatchdog.c
*** buildroot-2013.08.1-ckb-20140807-1/board/ckb/ckb-3352/samples/wdt/saWatchdog.c	1970-01-01 09:00:00.000000000 +0900
--- buildroot-2013.08.1-ckb-20141129-1/board/ckb/ckb-3352/samples/wdt/saWatchdog.c	2014-11-25 19:20:00.000000000 +0900
***************
*** 0 ****
--- 1,130 ----
+ /*
+  * Application to test AM335X Watchdog Timer (copied from that of TI816X)
+  *
+  * Copyright (C) 2010 Texas Instruments Incorporated - http://www.ti.com/
+  *
+  *  Redistribution and use in source and binary forms, with or without
+  *  modification, are permitted provided that the following conditions
+  *  are met:
+  *
+  *    Redistributions of source code must retain the above copyright
+  *    notice, this list of conditions and the following disclaimer.
+  *
+  *    Redistributions in binary form must reproduce the above copyright
+  *    notice, this list of conditions and the following disclaimer in the
+  *    documentation and/or other materials provided with the
+  *    distribution.
+  *
+  *    Neither the name of Texas Instruments Incorporated nor the names of
+  *    its contributors may be used to endorse or promote products derived
+  *    from this software without specific prior written permission.
+  *
+  *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+  *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+  *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+  *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
+  *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+  *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+  *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
+  *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
+  *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+  *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
+  *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+  *
+ */
+ 
+ 
+ #include <stdio.h>
+ #include <linux/rtc.h>
+ #include <sys/ioctl.h>
+ #include <sys/time.h>
+ #include <sys/types.h>
+ #include <fcntl.h>
+ #include <unistd.h>
+ #include <errno.h>
+ #include <asm/types.h>
+ #include <linux/watchdog.h>
+ #include <sys/stat.h>
+ #include <signal.h>
+ 
+ int fd;
+ 
+ void catch_int(int signum)
+ {
+ 	signal(SIGINT, catch_int);
+ 
+ 	printf("In signal handler\n");
+ 	if(0 != close(fd))
+ 		printf("Close failed in signal handler\n");
+ 	else
+ 		printf("Close succeeded in signal handler\n");
+ }
+ 
+ int main(int argc, const char *argv[]) {
+ 
+ 	int sleep_time;
+ 	int wdt_timout, old_timout;
+ 	int ret_val;
+     
+ 	if(argc!=3)
+ 	{
+ 		printf("Usage: %s <WDT timeout> <Refresh time>\n", argv[0]);
+ 		printf("\t\t WDT timeout  : Watchdog timeout\n");
+ 		printf("\t\t Refresh time : Time to refresh Watchdog timer\n");
+ 		printf("If \"Refresh time\" is greater than \"WDT timeout\", the system will reset \n");
+ 		return 1;
+ 	}
+ 	wdt_timout = atoi(argv[1]);
+ 	sleep_time = atoi(argv[2]);
+ 	signal(SIGINT, catch_int);
+ 
+     fd=open("/dev/watchdog",O_WRONLY);
+ 	if (fd==-1) {
+     	perror("watchdog");
+ 		return 1;
+ 	}
+ 	printf ("Initializing WDT...\n");
+ 	ret_val = ioctl (fd, WDIOC_GETTIMEOUT, &old_timout);
+ 	if (ret_val) {
+ 		printf ("Watchdog Timer : WDIOC_GETTIMEOUT failed");
+ 	}
+ 	else {
+ 		printf ("Current timeout value is : %d seconds\n", old_timout);
+ 	}
+ 
+ 	ret_val = ioctl (fd, WDIOC_SETTIMEOUT, &wdt_timout);
+ 	if (ret_val) {
+ 		printf ("Watchdog Timer : WDIOC_SETTIMEOUT failed");
+ 	}
+ 	else {
+ 		printf ("New timeout value is : %d seconds\n", wdt_timout);
+ 	}
+ 
+ 	ret_val = ioctl (fd, WDIOC_GETTIMEOUT, &old_timout);
+ 	if (ret_val) {
+ 		printf ("Watchdog Timer : WDIOC_GETTIMEOUT failed");
+ 	}
+ 	else if(old_timout != wdt_timout){
+ 	
+ 		printf ("Opps...timeout value not set properly, current timeout is : %d seconds\n", old_timout);
+ 	}
+ 	while(1)
+ 	{
+     	if (1 != write(fd, "\0", 1))
+ 		{
+ 			printf("Write to WDT failed\n");
+ 			break;
+ 		}
+ 		else
+ 			printf("Wrote to WDT\n");
+ 
+     	sleep(sleep_time);
+ 	}
+ 
+ 	if (0 != close (fd))
+ 		printf("Close failed\n");
+ 	else
+ 		printf("Close succeeded\n");
+ 
+ 	return 0;
+ }
diff -crN buildroot-2013.08.1-ckb-20140807-1/board/ckb/ckb-3352/usr_to_rootfs.sh buildroot-2013.08.1-ckb-20141129-1/board/ckb/ckb-3352/usr_to_rootfs.sh
*** buildroot-2013.08.1-ckb-20140807-1/board/ckb/ckb-3352/usr_to_rootfs.sh	1970-01-01 09:00:00.000000000 +0900
--- buildroot-2013.08.1-ckb-20141129-1/board/ckb/ckb-3352/usr_to_rootfs.sh	2014-11-27 16:43:26.000000000 +0900
***************
*** 0 ****
--- 1,65 ----
+ #!/bin/sh
+ #Environment variables passed as the arguments by buildroot
+ # $1 : Root FS folder
+ # $2 : Folder to which /usr has been moved
+ 
+ export ROOT_FS_FOLDER=$1
+ export USR_FOLDER=$2
+ 
+ #copy important libs and bins from /usr directory to the root folder directory
+ 	mkdir -p $ROOT_FS_FOLDER/usr/bin
+ 	mkdir -p $ROOT_FS_FOLDER/usr/sbin
+ 	mkdir -p $ROOT_FS_FOLDER/usr/lib
+ 	mkdir -p $ROOT_FS_FOLDER/usr/local/bin
+ 	cp -rpd $USR_FOLDER/local/bin/* $ROOT_FS_FOLDER/usr/local/bin/
+ 	cp -rpd $USR_FOLDER/bin/iperf $ROOT_FS_FOLDER/usr/bin/
+ 	cp -rpd $USR_FOLDER/bin/ts_test $ROOT_FS_FOLDER/usr/bin/
+ 	cp -rpd $USR_FOLDER/bin/ntpdate $ROOT_FS_FOLDER/usr/bin/
+ 	cp -rpd $USR_FOLDER/bin/inotify* $ROOT_FS_FOLDER/usr/bin/
+ 	cp -rpd $USR_FOLDER/bin/i2c* $ROOT_FS_FOLDER/usr/bin/
+ 	cp -rpd $USR_FOLDER/lib/ts* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libts* $ROOT_FS_FOLDER/usr/lib
+ 	cp -rpd $USR_FOLDER/lib/libintl.* $ROOT_FS_FOLDER/usr/lib
+ 	cp -rpd $USR_FOLDER/lib/libnl* $ROOT_FS_FOLDER/usr/lib
+ 	cp -rpd $USR_FOLDER/lib/libssl* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libcrypto* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libgpg-error* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libdbus* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libstdc++.so* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/crda $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/avahi $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libavahi-* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libdaemon.* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libexpat.* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libgcrypt.* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/sbin/iw $ROOT_FS_FOLDER/usr/sbin/
+ 	cp -rpd $USR_FOLDER/sbin/wpa_* $ROOT_FS_FOLDER/usr/sbin/
+ 	cp -rpd $USR_FOLDER/sbin/hostapd $ROOT_FS_FOLDER/usr/sbin/
+ 	cp -rpd $USR_FOLDER/sbin/mtd* $ROOT_FS_FOLDER/usr/sbin/
+ 	cp -rpd $USR_FOLDER/sbin/rtc* $ROOT_FS_FOLDER/usr/sbin/
+ 	cp -rpd $USR_FOLDER/sbin/fbset* $ROOT_FS_FOLDER/usr/sbin/
+ 	cp -rpd $USR_FOLDER/sbin/avahi-* $ROOT_FS_FOLDER/usr/sbin/
+ 	cp -rpd $USR_FOLDER/share/avahi $ROOT_FS_FOLDER/usr/share/
+ 	cp -rpd $USR_FOLDER/sbin/fbset* $ROOT_FS_FOLDER/usr/sbin/
+ 	cp -rpd $USR_FOLDER/share/udhcpc $ROOT_FS_FOLDER/usr/share/
+ 	cp -rpd $USR_FOLDER/bin/_cside* $ROOT_FS_FOLDER/usr/bin/
+ 	cp -rpd $USR_FOLDER/bin/cside* $ROOT_FS_FOLDER/usr/bin/
+ 	cp -rpd $USR_FOLDER/bin/libcsidemprof.so $ROOT_FS_FOLDER/usr/bin/
+ 	cp -rpd $USR_FOLDER/lib/libcdbmem.so $ROOT_FS_FOLDER/lib/
+ # - IPTABLES
+ #	cp -rpd $USR_FOLDER/sbin/iptables* $ROOT_FS_FOLDER/usr/sbin/
+ #	cp -rpd $USR_FOLDER/sbin/xtables* $ROOT_FS_FOLDER/usr/sbin/
+ # - SDL
+ #	cp -rpd $USR_FOLDER/lib/libSDL* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libjpeg.so* $ROOT_FS_FOLDER/usr/lib/
+ #	cp -rpd $USR_FOLDER/lib/libtiff.so* $ROOT_FS_FOLDER/usr/lib/
+ #	cp -rpd $USR_FOLDER/lib/libz.so* $ROOT_FS_FOLDER/usr/lib/
+ #	cp -rpd $USR_FOLDER/lib/libfreetype.so* $ROOT_FS_FOLDER/usr/lib/
+ 
+ #End
+ 
+ #Change permissions
+ chmod +x $ROOT_FS_FOLDER/etc/udhcpc.scripts 
+ chmod +x $ROOT_FS_FOLDER/etc/init.d/*
+ chmod +x $ROOT_FS_FOLDER/etc/network/wlan-scripts/*
+ sync
diff -crN buildroot-2013.08.1-ckb-20140807-1/board/ckb/ckb-rz/before_packing_fs.sh buildroot-2013.08.1-ckb-20141129-1/board/ckb/ckb-rz/before_packing_fs.sh
*** buildroot-2013.08.1-ckb-20140807-1/board/ckb/ckb-rz/before_packing_fs.sh	1970-01-01 09:00:00.000000000 +0900
--- buildroot-2013.08.1-ckb-20141129-1/board/ckb/ckb-rz/before_packing_fs.sh	2014-02-13 09:03:29.000000000 +0900
***************
*** 0 ****
--- 1,14 ----
+ #!/bin/sh
+ #Environment variables; $TARGET_DIR is passed as the argument by buildroot
+ export TARGET_FS_FOLDER=$1
+ 
+ # legal-info licenses.txt
+ mkdir -p $TARGET_FS_FOLDER/etc/legal-info
+ cp $TARGET_FS_FOLDER/../legal-info/licenses.txt $TARGET_FS_FOLDER/etc/legal-info/licenses.txt
+ 
+ #Change permissions
+ chmod +x $TARGET_FS_FOLDER/etc/udhcpc.scripts 
+ chmod +x $TARGET_FS_FOLDER/etc/init.d/*
+ chmod +x $TARGET_FS_FOLDER/etc/network/wlan-scripts/*
+ #chmod +x $TARGET_FS_FOLDER/bin/*
+ sync
diff -crN buildroot-2013.08.1-ckb-20140807-1/board/ckb/ckb-rz/usr_to_rootfs.sh buildroot-2013.08.1-ckb-20141129-1/board/ckb/ckb-rz/usr_to_rootfs.sh
*** buildroot-2013.08.1-ckb-20140807-1/board/ckb/ckb-rz/usr_to_rootfs.sh	1970-01-01 09:00:00.000000000 +0900
--- buildroot-2013.08.1-ckb-20141129-1/board/ckb/ckb-rz/usr_to_rootfs.sh	2014-11-28 08:58:50.000000000 +0900
***************
*** 0 ****
--- 1,65 ----
+ #!/bin/sh
+ #Environment variables passed as the arguments by buildroot
+ # $1 : Root FS folder
+ # $2 : Folder to which /usr has been moved
+ 
+ export ROOT_FS_FOLDER=$1
+ export USR_FOLDER=$2
+ 
+ #copy important libs and bins from /usr directory to the root folder directory
+ 	mkdir -p $ROOT_FS_FOLDER/usr/bin
+ 	mkdir -p $ROOT_FS_FOLDER/usr/sbin
+ 	mkdir -p $ROOT_FS_FOLDER/usr/lib
+ 	mkdir -p $ROOT_FS_FOLDER/usr/local/bin
+ 	cp -rpd $USR_FOLDER/local/bin/* $ROOT_FS_FOLDER/usr/local/bin/
+ 	cp -rpd $USR_FOLDER/bin/iperf $ROOT_FS_FOLDER/usr/bin/
+         cp -rpd $USR_FOLDER/bin/calibrator $ROOT_FS_FOLDER/usr/bin/
+ 	cp -rpd $USR_FOLDER/bin/ts_test $ROOT_FS_FOLDER/usr/bin/
+ 	cp -rpd $USR_FOLDER/bin/ntpdate $ROOT_FS_FOLDER/usr/bin/
+ #	cp -rpd $USR_FOLDER/bin/inotify* $ROOT_FS_FOLDER/usr/bin/
+ 	cp -rpd $USR_FOLDER/bin/i2c* $ROOT_FS_FOLDER/usr/bin/
+ 	cp -rpd $USR_FOLDER/lib/ts* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libts* $ROOT_FS_FOLDER/usr/lib
+ #	cp -rpd $USR_FOLDER/lib/libintl.* $ROOT_FS_FOLDER/usr/lib
+ 	cp -rpd $USR_FOLDER/lib/libnl* $ROOT_FS_FOLDER/usr/lib
+ #	cp -rpd $USR_FOLDER/lib/libssl* $ROOT_FS_FOLDER/usr/lib/
+ #	cp -rpd $USR_FOLDER/lib/libcrypto* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libgpg-error* $ROOT_FS_FOLDER/usr/lib/
+ #	cp -rpd $USR_FOLDER/lib/libdbus* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libstdc++.so* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/crda $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/avahi $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libavahi-* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libdaemon.* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libexpat.* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/lib/libgcrypt.* $ROOT_FS_FOLDER/usr/lib/
+ 	cp -rpd $USR_FOLDER/sbin/iw $ROOT_FS_FOLDER/usr/sbin/
+ 	cp -rpd $USR_FOLDER/sbin/wpa_* $ROOT_FS_FOLDER/usr/sbin/
+ 	cp -rpd $USR_FOLDER/sbin/hostapd $ROOT_FS_FOLDER/usr/sbin/
+ #	cp -rpd $USR_FOLDER/sbin/mtd* $ROOT_FS_FOLDER/usr/sbin/
+ #	cp -rpd $USR_FOLDER/sbin/rtc* $ROOT_FS_FOLDER/usr/sbin/
+ 	cp -rpd $USR_FOLDER/sbin/fbset* $ROOT_FS_FOLDER/usr/sbin/
+ 	cp -rpd $USR_FOLDER/sbin/avahi-* $ROOT_FS_FOLDER/usr/sbin/
+ 	cp -rpd $USR_FOLDER/share/avahi $ROOT_FS_FOLDER/usr/share/
+ 	cp -rpd $USR_FOLDER/share/udhcpc $ROOT_FS_FOLDER/usr/share/
+ 	cp -rpd $USR_FOLDER/bin/_cside* $ROOT_FS_FOLDER/usr/bin/
+ 	cp -rpd $USR_FOLDER/bin/cside* $ROOT_FS_FOLDER/usr/bin/
+ 	cp -rpd $USR_FOLDER/bin/libcsidemprof.so $ROOT_FS_FOLDER/usr/bin/
+ #	cp -rpd $USR_FOLDER/lib/libcdbmem.so $ROOT_FS_FOLDER/lib/
+ # - IPTABLES
+ #	cp -rpd $USR_FOLDER/sbin/iptables* $ROOT_FS_FOLDER/usr/sbin/
+ #	cp -rpd $USR_FOLDER/sbin/xtables* $ROOT_FS_FOLDER/usr/sbin/
+ # - SDL
+ #	cp -rpd $USR_FOLDER/lib/libSDL* $ROOT_FS_FOLDER/usr/lib/
+ #	cp -rpd $USR_FOLDER/lib/libjpeg.so* $ROOT_FS_FOLDER/usr/lib/
+ #	cp -rpd $USR_FOLDER/lib/libtiff.so* $ROOT_FS_FOLDER/usr/lib/
+ #	cp -rpd $USR_FOLDER/lib/libz.so* $ROOT_FS_FOLDER/usr/lib/
+ #	cp -rpd $USR_FOLDER/lib/libfreetype.so* $ROOT_FS_FOLDER/usr/lib/
+ 
+ #End
+ 
+ #Change permissions
+ chmod +x $ROOT_FS_FOLDER/etc/udhcpc.scripts 
+ chmod +x $ROOT_FS_FOLDER/etc/init.d/*
+ chmod +x $ROOT_FS_FOLDER/etc/network/wlan-scripts/*
+ sync
diff -crN buildroot-2013.08.1-ckb-20140807-1/board/ckb/common/samples/usb_cam_app/usb_cam_app.c buildroot-2013.08.1-ckb-20141129-1/board/ckb/common/samples/usb_cam_app/usb_cam_app.c
*** buildroot-2013.08.1-ckb-20140807-1/board/ckb/common/samples/usb_cam_app/usb_cam_app.c	2014-07-23 10:32:33.000000000 +0900
--- buildroot-2013.08.1-ckb-20141129-1/board/ckb/common/samples/usb_cam_app/usb_cam_app.c	2014-11-27 16:03:31.000000000 +0900
***************
*** 45,54 ****
  
  #include <linux/input.h>
  
- #include <string.h>
- #include <fcntl.h>
- #include <unistd.h>
- #include <stdio.h>
  /******************************************************************************
   Macros
   MAX_BUFFERS    : Changing the following will result different number of
--- 45,50 ----
***************
*** 1202,1208 ****
  
  void help(char *app_name)
  {
! 	printf("%s -d [device path] -f [0/1] -W [width] -H [height] -r [frame rate]"
  					"\n\t\t-X [x coordinate] -Y [y coordinate]"
  					"\n\t\t-z -v -y -u -o -i -n -s -j [JPEG quality] -b\n", app_name);
  	printf("\t-d - Camera device path ("CAPTURE_DEVICE")\n");
--- 1198,1204 ----
  
  void help(char *app_name)
  {
! 	printf("%s -d [device path] -W [width] -H [height] -r [frame rate]"
  					"\n\t\t-X [x coordinate] -Y [y coordinate]"
  					"\n\t\t-z -v -y -u -o -i -n -s -j [JPEG quality] -b\n", app_name);
  	printf("\t-d - Camera device path ("CAPTURE_DEVICE")\n");
***************
*** 1227,1233 ****
  int main(int argc, char *argv[])
  {
  	int ret = 0, i, d, index;
! 	char shortoptions[] = "d:f:W:H:r:X:Y:j:zvyuoinsb";
  	int temp;
  	int daemon = 0;
  	char filename[256], buf[256];
--- 1223,1229 ----
  int main(int argc, char *argv[])
  {
  	int ret = 0, i, d, index;
! 	char shortoptions[] = "d:W:H:r:X:Y:j:zvyuoinsb";
  	int temp;
  	int daemon = 0;
  	char filename[256], buf[256];
***************
*** 1301,1307 ****
  			daemon = 1;
  			break;
  		default:
- _exit:
  			help(argv[0]);
  			exit(1);
  		}
--- 1297,1302 ----
diff -crN buildroot-2013.08.1-ckb-20140807-1/board/ckb/common/samples/usb_cam_streamer/main.c buildroot-2013.08.1-ckb-20141129-1/board/ckb/common/samples/usb_cam_streamer/main.c
*** buildroot-2013.08.1-ckb-20140807-1/board/ckb/common/samples/usb_cam_streamer/main.c	2014-07-22 18:40:01.000000000 +0900
--- buildroot-2013.08.1-ckb-20141129-1/board/ckb/common/samples/usb_cam_streamer/main.c	2014-11-28 08:54:20.000000000 +0900
***************
*** 308,316 ****
  	DBG("starting output\n");
  	syslog(LOG_INFO, "starting output");
  	output_run();
!   
  	/* create the watchdog task */
  	watchdog_run();
  	/* wait for signals */
  	pause();
  
--- 308,318 ----
  	DBG("starting output\n");
  	syslog(LOG_INFO, "starting output");
  	output_run();
! 
! #if 0		/* not needed */
  	/* create the watchdog task */
  	watchdog_run();
+ #endif
  	/* wait for signals */
  	pause();
  
diff -crN buildroot-2013.08.1-ckb-20140807-1/board/ckb/common/uart_flasher/target/ckb-1808/device.c buildroot-2013.08.1-ckb-20141129-1/board/ckb/common/uart_flasher/target/ckb-1808/device.c
*** buildroot-2013.08.1-ckb-20140807-1/board/ckb/common/uart_flasher/target/ckb-1808/device.c	2013-12-20 10:02:20.000000000 +0900
--- buildroot-2013.08.1-ckb-20141129-1/board/ckb/common/uart_flasher/target/ckb-1808/device.c	2014-11-28 08:59:40.000000000 +0900
***************
*** 583,589 ****
  }
  
  
! void init_DEVICE()
  {
  	// Ensure the kick registers are unlocked 
  	// Note these lines have no effect on 2.0 and later silicon
--- 583,589 ----
  }
  
  
! int init_DEVICE()
  {
  	// Ensure the kick registers are unlocked 
  	// Note these lines have no effect on 2.0 and later silicon
***************
*** 606,611 ****
--- 606,612 ----
  	//-- NOR FLASH Set
  	FLASH_Init();
  	DEVICE_Init();
+ 	return 0;
  }
  
  void udelay(int dly)
diff -crN buildroot-2013.08.1-ckb-20140807-1/board/ckb/common/uart_flasher/target/ckb-1808/include/device.h buildroot-2013.08.1-ckb-20141129-1/board/ckb/common/uart_flasher/target/ckb-1808/include/device.h
*** buildroot-2013.08.1-ckb-20140807-1/board/ckb/common/uart_flasher/target/ckb-1808/include/device.h	2013-12-20 10:02:20.000000000 +0900
--- buildroot-2013.08.1-ckb-20141129-1/board/ckb/common/uart_flasher/target/ckb-1808/include/device.h	2014-11-28 08:59:30.000000000 +0900
***************
*** 874,880 ****
  extern void    DEVICE_kickLock(void);
  
  // System Initialization prototypes
! extern void  init_DEVICE(void);
  
  // Peripheral Initialization prototypes
  extern Uint32  DEVICE_UARTInit(Uint8 periphNum);
--- 874,880 ----
  extern void    DEVICE_kickLock(void);
  
  // System Initialization prototypes
! extern int  init_DEVICE(void);
  
  // Peripheral Initialization prototypes
  extern Uint32  DEVICE_UARTInit(Uint8 periphNum);
